
var app = new Vue({
  el: '#app',
  template: "#main",
  data: function () {
    return {
      equation: {
        a: 0,
        b: 0,
        c: 0,
        x1: null,
        x2: null,
        show: false
      }
    }
  },
  methods: {
    resetAll: function(){
      this.equation.a = 0;
      this.equation.b = 0;
      this.equation.c = 0;
      this.equation.x1 = null;
      this.equation.x2 = null;

      this.equation.show = false;
    },
    solve: function(){
      this.equation.x1 = (-this.equation.b + Math.sqrt(this.D))/(2*this.equation.a);
      this.equation.x2 = (-this.equation.b - Math.sqrt(this.D))/(2*this.equation.a);
      this.equation.show = true;
    }
  },
  computed: {
    D: function(){
      return (this.equation.b * this.equation.b - 4 * this.equation.a * this.equation.c )
    }
  },
  created: function(){
    
  },
  mounted: function(){

  },
  components: {

  }
});
